def print_grade(mark):
    """
    Prints a letter grade corresponding to the numerical mark.
    Mark should be a percentage (i.e. between 0 and 100).
    Does not work correctly.
    """
    if mark >= 80:
        print("HD")
    if mark >= 70:
        print("D")
    if mark >= 60:
        print("CR")
    if mark >= 50:
        print("P")
    if mark < 50:
        print("Fail")


def print_grade_1(mark):
    """
    Prints a letter grade corresponding to the numerical mark.
    Uses chained conditional statements to ensure only one grade is printed.
    Mark should be a percentage grade (i.e. between 0 and 100).
    """
    if mark >= 80:
        print("HD")
    if mark < 80 and mark >= 70:
        print("D")
    if mark < 70 and mark >= 60:
        print("CR")
    if mark < 60 and mark >= 50:
        print("P")
    if mark < 50:
        print("Fail")


def print_grade_2(mark):
    """
    Prints a letter grade corresponding to the numerical mark.
    Uses return to ensure only one grade is printed.
    Mark should be a percentage grade (i.e. between 0 and 100).
    """
    if mark >= 80:
        print("HD")
        return
    if mark >= 70:
        print("D")
        return
    if mark >= 60:
        print("CR")
        return
    if mark >= 50:
        print("P")
        return
    print("Fail")


def print_grade_3(mark):
    """
    Prints a letter grade corresponding to the numerical mark.
    Uses elif to ensure only one grade is printed.
    Mark should be a percentage grade (i.e. between 0 and 100).
    """
    if mark >= 80:
        print("HD")
    elif mark >= 70:
        print("D")
    elif mark >= 60:
        print("CR")
    elif mark >= 50:
        print("P")
    else:
        print("Fail")
